Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041467
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Localization Pack: Spain] Multi Dimensional Tax Reportminorhave not tried2019-07-26 18:462019-08-13 12:21
Reportercollazoandy4View Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision70dafb7462b8
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned ToSandrahuguet
Regression introduced in release
Summary

0041467: Apply HQL style guide to OBMTR30InvoiceTaxReportDao

DescriptionApply HQL style guide to OBMTR30InvoiceTaxReportDao
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Openbravo ERP Tracking issue: Convert HQL to apply new style 
related to defect 0041198 closedcollazoandy4 Localization Pack: Spain OBMTR30InvoiceTaxReportDao is not using bind-param. 

-  Notes
(0113742)
collazoandy4 (developer)
2019-07-31 17:34

Test Plan
  Go to Multidimensional Tax Report and set
    From Date: 01-07-2018
    To Date: today
    Organization: F&B International Group Admin
    Business Partner: Bebidas Alegres, S.L, and Generaci├│n El├ęctrica, S.A
    Tax Type: Tax
    Tax Rate: Adquisiciones IVA 21%
    Transaction Type: Purchase/Payments transactions
    Clic on HTML Format button and check the report is shown
    Clear BP filter and set: Moon Light Restaurants, Co.
    Tax Rate: CA Sales Tax - US State Sales
    Clic on HTML Format button and check the report is shown

Test Plan II
  Run the previous test plan for Multidimensional Tax Report Cash VAT
(0113947)
hgbot (developer)
2019-08-12 13:22

Repository: erp/pmods/org.openbravo.module.invoiceTaxReportEnhanced30
Changeset: 70dafb7462b8ce07d92958c91bd929d0ed08d9f7
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Mon Jul 29 23:50:03 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.module.invoiceTaxReportEnhanced30/rev/70dafb7462b8ce07d92958c91bd929d0ed08d9f7 [^]

Fixes issue 41467: Apply HQL style guide to OBMTR30InvoiceTaxReportDao

Applied the new HQL style in OBMTR30InvoiceTaxReportDao

---
M src/org/openbravo/module/invoiceTaxReportEnhanced30/ad_reports/OBMTR30InvoiceTaxReportDao.java
---
(0113951)
hgbot (developer)
2019-08-12 15:09

Repository: erp/pmods/org.openbravo.module.invoiceTaxReportEnhanced30
Changeset: ffc98de74759e53202a6d6d3407210f28da1df6a
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Mon Aug 12 15:09:49 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.module.invoiceTaxReportEnhanced30/rev/ffc98de74759e53202a6d6d3407210f28da1df6a [^]

related to issue 41467 delete commented lines

---
M src/org/openbravo/module/invoiceTaxReportEnhanced30/ad_reports/OBMTR30InvoiceTaxReportDao.java
---
(0113973)
hgbot (developer)
2019-08-13 12:16

Repository: erp/pmods/org.openbravo.module.invoiceTaxReportEnhanced30.cashvat
Changeset: 007f106bc5bea2508275db5826e5869b43e55733
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Mon Jul 29 23:50:41 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.module.invoiceTaxReportEnhanced30.cashvat/rev/007f106bc5bea2508275db5826e5869b43e55733 [^]

Related to issue 41467: Apply HQL style guide to OBMTRCVInvoiceTaxReportDao

Applied the new HQL style in OBMTRCVInvoiceTaxReportDao

---
M src/org/openbravo/module/invoiceTaxReportEnhanced30/cashvat/ad_reports/OBMTRCVInvoiceTaxReportDao.java
---
(0113979)
Sandrahuguet (developer)
2019-08-13 12:21

code review + testing ok

- Issue History
Date Modified Username Field Change
2019-07-26 18:46 collazoandy4 New Issue
2019-07-26 18:46 collazoandy4 Assigned To => psanjuan
2019-07-26 18:59 collazoandy4 Assigned To psanjuan => collazoandy4
2019-07-26 18:59 collazoandy4 Status new => scheduled
2019-07-30 16:11 collazoandy4 Relationship added related to 0041287
2019-07-31 17:34 collazoandy4 Note Added: 0113742
2019-08-12 13:22 hgbot Checkin
2019-08-12 13:22 hgbot Note Added: 0113947
2019-08-12 13:22 hgbot Status scheduled => resolved
2019-08-12 13:22 hgbot Resolution open => fixed
2019-08-12 13:22 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.module.invoiceTaxReportEnhanced30/rev/70dafb7462b8ce07d92958c91bd929d0ed08d9f7 [^]
2019-08-12 15:09 hgbot Checkin
2019-08-12 15:09 hgbot Note Added: 0113951
2019-08-13 12:16 hgbot Checkin
2019-08-13 12:16 hgbot Note Added: 0113973
2019-08-13 12:20 Sandrahuguet Relationship added related to 0041198
2019-08-13 12:21 Sandrahuguet Review Assigned To => Sandrahuguet
2019-08-13 12:21 Sandrahuguet Note Added: 0113979
2019-08-13 12:21 Sandrahuguet Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker